Subject: Re: [PATCH] revision: --ancestry-path

From: Johannes Sixt <[email-masked]>
Date: Wed, 21 Apr 2010 09:47:47 +0200

Am 4/21/2010 9:34, schrieb Johan Herland:
> I can confirm that this patch works with my original (more complicated) 
> scenario. I've also played around with combinations of --ancestry-path, --
> graph and --parents (and even --boundary), and AFAICS, the new option does 
> not clobber the other options, and (IMHO) it all behaves correctly in the 
> scenarios I've tested.

How about possible interactions with --reverse; --date-order/--topo-order,
--parents (important for gitk); --simplify-by-decoration (useful for your
problem that triggered this); --full-history and --simplify-merges with
path limiting?

-- Hannes